Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# PartSubset Class Reference

This class is used to define a subset of part names to apply to the PartBundle.bind_anim() operation. More...

List of all members.

## Public Member Functions
| PartSubset ()
| PartSubset (PartSubset const copy)
| addExcludeJoint (GlobPattern const name)
| Adds the named joint to the list of joints that will be explicitly exlcluded from the subset.
| addIncludeJoint (GlobPattern const name)
| Adds the named joint to the list of joints that will be explicitly included in the subset.
| append (PartSubset const other)
| Appends the include and exclude list from the other object onto this object's lists.
bool | isIncludeEmpty ()
| Returns true if the include list is completely empty, false otherwise.
bool | matchesExclude (string joint_name)
| Returns true if the indicated name matches a name on the exclude list, false otherwise.
bool | matchesInclude (string joint_name)
| Returns true if the indicated name matches a name on the include list, false otherwise.
PartSubset | operator= (PartSubset const copy)
| output (ostream out)

## Detailed Description

This class is used to define a subset of part names to apply to the PartBundle.bind_anim() operation.

Only those part names within the subset will be included in the bind.

## Constructor & Destructor Documentation

PartSubset | ( |  | ) |

PartSubset | ( | PartSubset const | copy | ) |

## Member Function Documentation

addExcludeJoint | ( | GlobPattern const | name | ) |

Adds the named joint to the list of joints that will be explicitly exlcluded from the subset.

Any joint at or below a named node will not be included in the subset (unless a lower node is also listed in the include list).

Since the name is a GlobPattern, it may of course include filename globbing characters like * and ?.

addIncludeJoint | ( | GlobPattern const | name | ) |

Adds the named joint to the list of joints that will be explicitly included in the subset.

Any joint at or below a named node will be included in the subset (unless a lower node is also listed in the exclude list).

Since the name is a GlobPattern, it may of course include filename globbing characters like * and ?.

append | ( | PartSubset const | other | ) |

Appends the include and exclude list from the other object onto this object's lists.

bool isIncludeEmpty | ( |  | ) |

Returns true if the include list is completely empty, false otherwise.

If it is empty, it is the same thing as including all joints.

bool matchesExclude | ( | string | joint_name | ) |

Returns true if the indicated name matches a name on the exclude list, false otherwise.

bool matchesInclude | ( | string | joint_name | ) |

Returns true if the indicated name matches a name on the include list, false otherwise.

PartSubset operator= | ( | PartSubset const | copy | ) |

output | ( | ostream | out | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties